## eterm 0.9.2-0pre2002042903.3

=== debian/changelog ===
eterm (0.9.2-0pre2002042903.3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Disabled emitting ESC sequences [src/term.c, CAN-2003-0068]

 -- Martin Schulze <joey@infodrom.org>  Wed, 21 Apr 2004 11:22:49 +0200

eterm (0.9.2-0pre2002042903.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix a semantic error in the snprintf invocation introduced in the
    previous version

 -- Matt Zimmerman <mdz@debian.org>  Mon,  9 Jun 2003 14:27:29 -0400

eterm (0.9.2-0pre2002042903.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix PATH_ENV buffer overflow

 -- Matt Zimmerman <mdz@debian.org>  Thu,  5 Jun 2003 18:06:13 -0400

eterm (0.9.2-0pre2002042903) woody-proposed-updates unstable; urgency=low

  * sync the w-p-u and unstable updates

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 10 May 2002 19:27:50 +0000

eterm (0.9.2-0pre2002042902) woody-proposed-updates; urgency=high

  * corrects ESC code file writing hole, closes: 141374

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 10 May 2002 18:16:51 +0000

eterm (0.9.2-0pre2002042801) unstable; urgency=high

  * CVS snapshot
    * 24bpp transparency fixed, closes: 144536 144758
    * buttonbar.c ASSERT error fixed

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 28 Apr 2002 15:39:02 -0400

eterm (0.9.2-0pre2002042402) unstable; urgency=high

  * CVS snapshot, _major_ transparecy bug and minor bugs fixed

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 25 Apr 2002 11:28:23 -0400

eterm (0.9.2-0pre2002042401) unstable; urgency=low

  * CVS snapshot, transparency bug fixed .. somehow or another

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 24 Apr 2002 14:09:13 -0400

eterm (0.9.2-0pre2002042101) unstable; urgency=low

  * CVS snapshot
    * closes 143328, escape characters in --help output
    * corrects maintainer typo in defaultfont.c

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 21 Apr 2002 11:34:03 +0000

eterm (0.9.2-0pre2002041104) unstable; urgency=medium

  * altered the noenc/none corrections to match upstream source

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 15 Apr 2002 00:25:48 +0000

eterm (0.9.2-0pre2002041103) unstable; urgency=medium

  * CVS snapshot, 0.9.2 pre-release
  * copyright changed from GPL to a BSDish license at some point

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 14 Apr 2002 15:17:59 -0400

eterm (0.9.1-2) unstable; urgency=low

  * src/command.c: revert setlocale changes

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 11 Oct 2001 10:35:12 -0400

eterm (0.9.1-1) unstable; urgency=low

  * new upstream release
  * src/command.c: CVS revision 1.61, printscreen fix
  * src/events.c: CVS revision 1.48, remove useless code
  * src/font.c: CVS revision 1.29, --default-font-index fix
  * src/font.c: CVS revision 1.12, --default-font-index fix
  * src/term.c: CVS revision 1.69, vim escape sequence fix
  * src/term.h: CVS revision 1.19, vim escape sequence fix
  * src/command.c: use NULL instead of "" for setlocale, possible
    dead key / locale problem fix, needs testing

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  8 Oct 2001 12:21:00 -0400

eterm (0.9.1-0pre2001072201) unstable; urgency=low

  * new CVS snapshot
  * restore x-terminal-emulator alternative, closes: #106006 

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jul 2001 13:09:56 -0400

eterm (0.9.1-0pre2001071002) unstable; urgency=low

  * rebuild for versioned libast1 shlib, closes #104553

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 13 Jul 2001 14:26:35 -0400

eterm (0.9.1-0pre2001071001) unstable; urgency=low

  * new CVS snapshot
  * control: removed libc6-dev build dependency

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 10 Jul 2001 13:21:58 -0400

eterm (0.9.1-0pre2001062601) unstable; urgency=low

  * new CVS snapshot 

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 26 Jun 2001 14:31:50 -0400

eterm (0.9.1-0pre2001062001) unstable; urgency=low

  * new CVS snapshot
  * upstream anymod fix, Closes: #101161

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 20 Jun 2001 08:34:58 -0400

eterm (0.9.1-0pre2001061501) unstable; urgency=low

  * new CVS snapshot
  * eterm-utils.1: removed Etwinop
  * README.Debian: updated terminfo info

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 15 Jun 2001 18:41:05 -0400

eterm (0.9.1-0pre2001051702) unstable; urgency=low

  * source archive cleanup

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 30 May 2001 23:03:47 -0400

eterm (0.9.1-0pre2001051701) unstable; urgency=low

  * resync with the cvs tree 
  * add missing shlib dependencies, Closes: #97876
  * restore Eterm.ti and Eterm.tcap in docs/Eterm

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 17 May 2001 21:48:00 -0400

eterm (0.9.1-0pre2001051602) unstable; urgency=low

  * another CVS snapshot
  * various menus.cfg corrections
  * added missing pixmaps
  * depend on ncurses-term for terminfo definitions 

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 16 May 2001 19:01:34 -0400

eterm (0.9.1-0pre2001051101) unstable; urgency=low

  * Debian pre-release of eterm 0.9.1
  * updated standards version to 3.5.4.0
  * deprecated eterm-ml, ml support is standard
  * reworte debian/rules
  * removed dh_testversion and dh_suidregister
  * removed extraneous config.in tests
  * removed extraneous menu pixmap entries
  * added Etsearch and kEsetroot to eterm-utils.1
  * added HOME/END key info to README.Debian, Closes: #97139
  * removed doc-base entries, possibly temporarily

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 11 May 2001 21:38:15 -0400

eterm (0.9.0-9) unstable; urgency=low

  * removed $(debug) from debian/rules
  * versioned debhelper build-depend
  * debian/control update, courtesy of
  * Branden Robinson's <branden@debian.org> debian/control update
    + change build-dependency from xlib6g-dev to xlibs-dev
    + eterm and eterm-ml provide eterm-backgrounds
    + eterm-ml replaces eterm-backgrounds
    + tweaked package descriptions

