=== debian/control ===
Source: eterm
Section: x11
Priority: optional
Maintainer: Laurence J. Lane <ljlane@debian.org>
Standards-Version: 3.5.4.0
Build-Depends: libimlib2-dev, debhelper (>=3.0), xlibs-dev, libttf-dev, libast1-dev (>=0.4)

Package: eterm
Architecture: any
Depends: ${shlibs:Depends}
Provides: x-terminal-emulator, eterm-backgrounds
Conflicts: eterm-backgrounds, eterm-ml
Replaces: eterm-ml, eterm-backgrounds
Depends: ncurses-term, ${shlibs:Depends}
Description: Enlightened Terminal Emulator
 A terminal emulator in the spirit of xterm or rxvt, eterm uses an
 Enlightenment style config file, as well as themes.  The Imlib graphics
 engine is used to render images.  This version supports background images,
 pixmapped scrollbars, pseudo-transparency, POSIX threads, and unicode
 support.
