## eterm 0.9.6

=== debian/changelog ===
eterm (0.9.6-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build ding with GCC-14 (Closes: #1074940)
    and test against today's libast2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 22:49:17 +0200

eterm (0.9.6-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Steve Langasek <steve.langasek@canonical.com> to fix
    FTBFS. (Closes: #1066342)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 31 May 2024 20:22:04 +0200

eterm (0.9.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused Build-Depends: libpcre3-dev. Closes: #1000101.

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jul 2023 20:01:59 +0200

eterm (0.9.6-7) unstable; urgency=medium

  * Fix FTBFS with imlib2 1.9.1. Closes: #1018023.
    Thanks to Matthew Vernon for pointing me to the patch used by netbsd.

 -- José Antonio Jiménez Madrid <donjosemadrid@gmail.com>  Fri, 10 Mar 2023 21:03:30 +0100

eterm (0.9.6-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch from rxvt-unicode to fix CVE-2021-33477.
    (Closes: #989041)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 11 Jun 2021 01:11:10 +0530

eterm (0.9.6-6) unstable; urgency=low

  * New maintainer. Closes: #620507.
  * debian/control: Change Build-Depends from man2html to man2html-base
    to allow cross build from source.
    Thanks to Helmut Grohne for the patch. Closes: #902481.
  * debian/rules: Added hardening=+all to DEB_BUILD_MAINT_OPTIONS.
  * Standards-Version bumped to 3.9.7.

 -- José Antonio Jiménez Madrid <donjosemadrid@gmail.com>  Mon, 22 Oct 2018 17:12:27 +0200

eterm (0.9.6-5) unstable; urgency=medium

  * QA upload.
  * Rename all patches to have .patch ending.
  * Fix Esetroot on PseudoColor visual. Closes: #728813.
    Thanks to Kevin Ryde for the patch.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Jan 2017 19:02:04 +0100

eterm (0.9.6-4) unstable; urgency=medium

  * QA upload.
  * Eterm now should run shell correctly. Closes: #770369.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 05 Mar 2016 17:22:26 +0100

eterm (0.9.6-3) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/manpage-is-dated-2008-08-17 to hardcode
    manpage date to the timestamp it has in upstream tarball.
  * debian/control: Pre-Depends: ${misc:Pre-Depends}.
  * debian/rules: Obsolete builddir stuff and use standard dh.
  * debian/eterm.lintian: Update to current version.
  * Add debian/patches/typos-in-eterm-1-in. Closes: #351426.
  * Add debian/patches/typos-in-eterm-reference-html.
  * Fix typo in eterm-utils.1. Closes: #351427.

 -- Santiago Vila <sanvila@debian.org>  Sun, 06 Sep 2015 19:18:02 +0200

eterm (0.9.6-2) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * We will do fine without using the build date.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 00:27:16 +0200

eterm (0.9.6-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
    (Closes: #502316).
  * Add debian/source/format.
  * Remove patch 000_build_hacks.diff
  * Drop quilt as build-depend (no more patches left) and remove patch target
    in debian/rules.
  * debian/control: add Homepage.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Mon, 21 May 2012 20:34:33 +0200

eterm (0.9.5-5) unstable; urgency=low

  * QA upload.
  * Provide build-arch target in debian/builddir.mk to fix FTBFS.
    (Closes: #666367).

 -- Emanuele Rocca <ema@debian.org>  Thu, 10 May 2012 15:30:12 +0000

eterm (0.9.5-4) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Pre-Depend on multiarch-support to ensure libEterm.so can be found by the
    dynamic linker at every point during an upgrade.
  * Standards-Version bumped to 3.9.3.
  * debian/eterm.copyright renamed to debian/copyright as per Debian Policy
    Manual section 12.5.
  * ${misc:Depends} added to the dependencies.
  * Text of the BSD license included in debian/copyright.
  * Debhelper compatibility version set to 9.

 -- Emanuele Rocca <ema@debian.org>  Thu, 10 May 2012 11:05:01 +0200

eterm (0.9.5-3) unstable; urgency=low

  * QA upload.
  * Don't ship .la files (Closes: #621226).

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 11:52:11 +0200

eterm (0.9.5-2) unstable; urgency=low

  * New maintainer. (Closes: #492496)
  * The set RPATH in eterm has been removed in this revision, therefore two
    lintian overrides has been deleted.
  * debian/control: eterm Build-Depends on chrpath.
  * debian/compat: was updated to 7.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 02 Aug 2008 10:21:21 -0430

eterm (0.9.5-1) unstable; urgency=low

  * New upstream version
  * converted build to debhelper 7
  * orphaned package

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 26 Jul 2008 02:41:48 -0400

eterm (0.9.4.0debian1-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix opening the terminal on display :0 if no DISPLAY environment
    variable is specified to prevent local attackers from highjacking
    X11 connections in certain environments (CVE-2008-1692; Closes: #473127)

 -- Nico Golde <nion@debian.org>  Tue, 15 Apr 2008 19:15:59 +0200

eterm (0.9.4.0debian1-2) unstable; urgency=low

  * debian/copyright: uploaded wrong copy in 0.9.4.0debian1-1

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 28 Oct 2006 11:11:27 -0400

eterm (0.9.4.0debian1-1) unstable; urgency=low

  * New upstream release
  * removed src/grkelot.c and src/gkrelot.h from the orig.tar.gz
  * gkrelot removal and upstream license corrections closes: 359707
  * debian/copyright: added file specific license and copyright info
  * updated standards version to 3.7.2.1
  * removed doc/Eterm.tcap for now

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  7 Oct 2006 13:12:49 -0400

eterm (0.9.3-1) unstable; urgency=low

  * New upstream version + 20060111 CVS pull
  * build depend on libast2-dev (>= 0.7)
  * dropped src/command.c patch introduced in 0.9.2-8.1


