=== debian/control ===
Source: eterm
Section: x11
Priority: optional
Maintainer: José Antonio Jiménez Madrid <donjosemadrid@gmail.com>
Homepage: http://www.eterm.org/
Standards-Version: 3.9.7
Build-Depends: man2html-base, libxmu-dev,libsm-dev, libice-dev, libxext-dev, libx11-dev, libxt-dev, libimlib2-dev, libast2-dev (>= 0.7), debhelper (>=9), automake, autoconf, libtool, gettext, cvs, chrpath

Package: eterm
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Provides: x-terminal-emulator, eterm-backgrounds
Conflicts: eterm-backgrounds, eterm-ml
Replaces: eterm-ml, eterm-backgrounds
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enlightened Terminal Emulator
 A terminal emulator in the spirit of xterm or rxvt, eterm uses an
 Enlightenment style config file, as well as themes.  The Imlib2 graphics
 engine is used to render images. This version supports background images,
 pixmapped scrollbars, pseudo-transparency, and POSIX threads.
