=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# not great, not terrible
export DEB_CFLAGS_MAINT_APPEND = -Wno-compare-distinct-pointer-types -Wno-incompatible-pointer-types -Wno-int-conversion

%:
	dh $@

include debian/config.mk

override_dh_auto_configure:
	libtoolize -f
	autoreconf -fi
	dh_auto_configure -- $(config_opts)

override_dh_auto_install:
	dh_auto_install
	rm `find debian/eterm -name '*.la'`
	install -D -m0644 debian/eterm.lintian \
		debian/eterm/usr/share/lintian/overrides/eterm
	chrpath -d debian/eterm/usr/bin/Eterm
	chrpath -d debian/eterm/usr/bin/Esetroot
